summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/kvmd-udev-restart-pass4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/kvmd-udev-restart-pass b/scripts/kvmd-udev-restart-pass
index 77a1515a..52e2c740 100755
--- a/scripts/kvmd-udev-restart-pass
+++ b/scripts/kvmd-udev-restart-pass
@@ -44,6 +44,10 @@ if [ "$port" = "HDMI-A-1" ]; then
status=$(head -n 1 "/sys/class/drm/$card-$port/status")
if [ "$status" = "connected" ]; then
systemctl restart kvmd-pass || true
+ pid=$(pidof ustreamer || echo 0)
+ if [ "$pid" -ne 0 ]; then
+ kill "$pid" || true
+ fi
fi
fi
fi